<?php 
/**
 *
 * @package Luzuk
 */
if(get_theme_mod('testimonials_area_disable') != 'on' ){ ?> 


    <?php 
    if( get_theme_mod('sec_testimonialsectionTpadding',true) ) {
      $sec_testimonialsectionTpadding = 'padding-top:'.esc_attr(get_theme_mod('sec_testimonialsectionTpadding')).';';
    }
    if( get_theme_mod('sec_testimonialsectionBpadding',true) ) {
      $sec_testimonialsectionBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('sec_testimonialsectionBpadding')).';';
    }
  ?>
  <div class="testimonials-area" id="testimonials">
      <div class="container">
           <?php
              $testimonials_titlesub = get_theme_mod('testimonials_titlesub', 'Review');
              $testimonials_title = get_theme_mod('testimonials_title', 'Testimonials'); 
              $testimonials_sub_text = get_theme_mod('testimonials_sub_text', 'Lorem ipsum dolor sit amet, consectetur and adipiscing elite');
           ?>
            
          <?php if($testimonials_title || $testimonials_titlesub || $testimonials_sub_text){ ?>
          <div class="testimonials-single-area wow zoomIn">
              <div class="col-xl-2 col-md-3 col-sm-12 bluebox">
                  <div class="section-Heading">
                      <?php if($testimonials_titlesub){ ?>
                          <div class="section-titlesub">
                              <?php echo ($testimonials_titlesub);  ?>
                          </div>
                      <?php }?>

                      <?php if($testimonials_title){ ?>
                          <div class="section-title">
                              <?php echo ($testimonials_title);  ?>
                          </div>
                      <?php }?>

                       <?php if($testimonials_sub_text){ ?> 
                          <div class="section-text">
                              <p><?php echo ($testimonials_sub_text);  ?></p>
                          </div>
                      <?php }?>
                  </div>
              </div>
               <?php }?>
              <div class="col-xl-10 col-md-9 col-sm-12">
                  <div class="owl-carousel owl-theme">   
                      <?php 
                        $showStatic = true;
                        $cols = get_theme_mod('test_npp_count', 5);
                        $cols++;
                        switch($cols){
                          case 1:
                            $colCls = 'col-md-12 col-sm-12 col-xs-12';
                            break;
                          case 2:
                            $colCls = 'col-md-6 col-sm-6 col-xs-12';
                            break;
                          case 3:
                          case 5:
                          case 6:
                          case 7:
                          case 8:
                          case 9:
                          case 10:
                          case 11:
                          case 12:
                            $colCls = 'col-md-4 col-sm-6 col-xs-12';
                            break;
                          default:
                            $colCls = 'col-md-3 col-sm-6 col-xs-12';
                            break;
                      }
                  $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell'); 

                  for( $i = 1; $i <= $cols; $i++ ){
                    $testimonials_page_id = get_theme_mod('testimonials_page'.$i); 
                    $testimonials_page_icon = get_theme_mod('testimonials_page_icon'.$i);
                    if($testimonials_page_id){
                      $showStatic = false;
                      echo testimonialShortCode($testimonials_page_id, $isCustomizer=true, $i);
                    }
                  }
                  // adding the static content
                  if($showStatic === true){
                    for( $i = 1; $i <= $cols; $i++ ){ ?>
                    <div class="item">        
                        <div class="ts-area-single pd-0">
                            <div class="ts-area-thumb">
                                <img class="img-responsive" src="<?php echo get_template_directory_uri(); ?>/images/testimonial.jpg" alt="">
                            </div>
                            <div class="ts-area-content">
                                <div class="ts-area-bx">                  
                                    <h6 class="ts-area-title">Albert Lorin</h6>
                                    <div class="ts-area-desg">customer</div>
                                </div>
                                <div class="ts-area-c section-area-text">   
                                    <p>“Quis ipsum suspendisse ultrices gravida. Rise commodo viverra is a maecenas.Quis ipsum suspendisse ultrices”
                                    </p>                 
                                </div> 
                                <div class="clearfix"></div>
                            </div>
                        </div>
                    </div>
                    
                    <?php 
                    }
                  } ?>
                  </div>
              </div>
              <div class="clearfix"></div>
          </div>
          <div class="clearfix"></div>
      </div>
      <div class="clearfix"></div>
  </div>
 <script>
        $(document).ready(function() {
          $('.testimonials-area .owl-carousel').owlCarousel({
           slideSpeed : 1500,
            autoplay: true,
              loop: true,
              margin: 30,
              responsiveClass: true,
              responsive: {
                0: {
                  items: 1,
                  nav: true
                },
                600: {
                  items:1,
                  nav: true
                },
                1000: {
                  items:2,
                  nav: true,
                  loop: true,
                  margin: 12
              }
            }
          })
        })
      </script>
      <script>
  var matchHeight = function () {
  
  function init() {
    eventListeners();
    matchHeight();
  }
  
  function eventListeners(){
    $(window).on('resize', function() {
      matchHeight();
    });
  }
  
  function matchHeight(){
    var groupName = $('[testimonials-match-height]');
    var groupHeights = [];
    
    groupName.css('min-height', 'auto');
    
    groupName.each(function() {
      groupHeights.push($(this).outerHeight());
    });
    
    var maxHeight = Math.max.apply(null, groupHeights);
    groupName.css('min-height', maxHeight);
  };
  
  return {
    init: init
  };
  
} ();

$(document).ready(function() {
  matchHeight.init();
});
</script>

   
    <?php }

